Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1493494 - [RFE] While adding a content-view to a composite view which is not published, clicking "Add Content Views" button does nothing, it should give an error.
Summary: [RFE] While adding a content-view to a composite view which is not published,...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.11
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-20 10:58 UTC by vivpatil
Modified: 2020-12-14 10:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:39:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description vivpatil 2017-09-20 10:58:20 UTC
Description of problem:

When trying to add a new content-view that is not yet published to the composite view, clicking on the "Add Content Views" button does not do anything. This seems expected since the child content view should contain atleast one published version which should be selected while adding it to the composite content view. But some users requests there should be an error message displayed something similar to "Publish the Content View and ensure a version is selected while adding to the composite view" which will be helpful.

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.2.11

How reproducible:
Every time

Steps to Reproduce:
1. Create a new empty content view , do not publish
2. Try adding this content view to the composite view

Actual results:
The "Add Content Views" button does not give an error message.

Expected results:
The "Add Content Views" button should give an error message.

Comment 3 Brad Buckingham 2017-09-20 19:34:30 UTC
Note: With the behavior observed in 6.2, while there is no error to the user, the browswer console does show the following:

bastion-07af021….js:2 TypeError: Cannot read property 'id' of undefined
    at bastion_katello-376bfe5….js:3
    at Array.forEach (<anonymous>)
    at Object.i [as forEach] (bastion-07af021….js:1)
    at c.e.addContentViews (bastion_katello-376bfe5….js:3)
    at bastion-07af021….js:4
    at bastion-07af021….js:4
    at c.$eval (bastion-07af021….js:3)
    at c.$apply (bastion-07af021….js:3)
    at HTMLButtonElement.<anonymous> (bastion-07af021….js:4)
    at HTMLButtonElement.dispatch (application-b90592c….js:26)

This issue has been resolved in Satellite 6.3 with the introduction of a feature that will allow selection of 'Latest' when associating component content views with a composite.  Based on this, I am going to move this bugzilla forward to QE for verification in 6.3 internal builds.

Comment 7 errata-xmlrpc 2018-02-21 12:39:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.